Summary:	Personal search and metasearch for the Free Desktop
Name:		pinot
Version:	0.97
Release:	%mkrel 1
Group:		File tools
License:	GPLv2+
URL:		http://pinot.berlios.de
Source0:	http://download.berlios.de/pinot/%{name}-%{version}.tar.gz
BuildRequires:	libsqlite3-devel
BuildRequires:	libxapian-devel >= 1.0.5
BuildRequires:	libtextcat-devel
BuildRequires:	libtaglib-devel
BuildRequires:	libcurl-devel
BuildRequires:	libgmime-devel
BuildRequires:	libboost-devel
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libxml++2.6-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info
BuildRequires:	openssl-devel
BuildRequires:	libexif-devel
BuildRequires:	libarchive-devel
BuildRequires:	libgmime2.2-devel
Requires:	shared-mime-info
Requires:	unzip
Requires:	antiword
Requires:	unrtf
Requires:	poppler
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

%package deskbar
Summary:	Pinot plugin for deskbar applet
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	deskbar-applet

%description deskbar
The included plugin enables Deskbar to search documents indexed by Pinot.

%prep
%setup -q

%build
%configure2_5x \
	--with-http=curl \
	--with-ssl=%{_libdir} \
	--disable-soap \
	--enable-dbus \
	--enable-mempool \
	--enable-libarchive \
	--enable-gio

%make

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
	--remove-category="Core" \
	--remove-category="Network" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/%{name}/
%dir %{_datadir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_libdir}/pinot/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/de.berlios.Pinot.service
%{_sysconfdir}/xdg/autostart/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*

%files deskbar
%defattr(-,root,root)
%{_libdir}/deskbar-applet/*


%changelog
* Sun May 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.97-1mdv2011.0
+ Revision: 672587
- update to new version 0.97
- drop patch 0

* Fri Jul 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96-2mdv2011.0
+ Revision: 557306
- rebuild for new xapian-1.2.2

* Thu Jul 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.96-1mdv2011.0
+ Revision: 557056
- update to 0.96

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.95-3mdv2010.1
+ Revision: 539276
- rebuild for new xapian

* Thu Apr 15 2010 Funda Wang <fwang@mandriva.org> 0.95-2mdv2010.1
+ Revision: 534996
- rebuild

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 0.95-1mdv2010.1
+ Revision: 465956
- new version 0.95

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.94-3mdv2010.0
+ Revision: 449509
- rebuild for new xapian

* Mon Aug 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.94-2mdv2010.0
+ Revision: 422762
- rebuild for new xapian

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.94-1mdv2010.0
+ Revision: 390432
- drop patch 1, was merged upstream
- update to new version 0.94

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.93-1mdv2010.0
+ Revision: 373775
- add missing buildrequires on libgmime2.2-devel
- enable gio support

  + Funda Wang <fwang@mandriva.org>
    - rework patch (to be submitted upstream)
    - build archive plugin
    - New version 0.93

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 0.91-1mdv2009.1
+ Revision: 351743
- New version 0.91

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 0.90-1mdv2009.1
+ Revision: 335216
- New verison 0.90

* Wed Nov 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.89-2mdv2009.1
+ Revision: 300062
- rebuild for xapian-1.0.9

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.89-1mdv2009.0
+ Revision: 289059
- update to new version 0.89

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 0.88-1mdv2009.0
+ Revision: 277538
- New version 0.88

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.87-1mdv2009.0
+ Revision: 238999
- New version 0.87

* Sat Jul 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.86-2mdv2009.0
+ Revision: 238699
- rebuild

* Sun Jun 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.86-1mdv2009.0
+ Revision: 227931
- update to new version 0.86

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.85-1mdv2009.0
+ Revision: 206918
- BR libexif-devel
- New version 0.85

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.84-1mdv2009.0
+ Revision: 194445
- new version

* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.83-2mdv2008.1
+ Revision: 187480
- Patch0: fix languages path

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.83-1mdv2008.1
+ Revision: 176768
- new version

* Sun Feb 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.82-2mdv2008.1
+ Revision: 174373
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.82-1mdv2008.1
+ Revision: 158452
- new version

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-4mdv2008.1
+ Revision: 139594
- rebuild against xapain-core

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-3mdv2008.1
+ Revision: 131814
- tune up desktp file

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-2mdv2008.1
+ Revision: 121336
- correct requires

* Mon Dec 17 2007 Olivier Blin <oblin@mandriva.com> 0.81-1mdv2008.1
+ Revision: 121071
- fix gtkmm2.4 BR for x86_64

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - adjust buildrequires
    - do not package COPYING file
    - fix group
    - spec file clean
    - new version
    - add support for the openssl
    - import pinot


